Java 5 und OS X - Tutorial

Dieses Thema im Forum "Mac OS X Entwickler, Programmierer" wurde erstellt von cordney*, 26.09.2005.

  1. cordney*

    cordney* Thread Starter MacUser Mitglied

    MacUser seit:
    22.04.2003
    Beiträge:
    755
    Zustimmungen:
    24
    Hallo,

    musste mir Java 5 einrichten, weil ich's für's Studium brauch und hab mal ein Tutorial geschrieben (in Englisch):

    Link

    Viel Spass damit.
     
    Zuletzt von einem Moderator bearbeitet: 19.02.2016
  2. pks85

    pks85 MacUser Mitglied

    MacUser seit:
    16.07.2004
    Beiträge:
    1.157
    Zustimmungen:
    5
    Wenn man fragen darf: was studierst du? :)
     
  3. JAGass

    JAGass MacUser Mitglied

    MacUser seit:
    07.10.2004
    Beiträge:
    186
    Zustimmungen:
    1
    Super! Danke! :)
    Ich muss dieses Semester auch mit Java anfangen und war schon etwas angenervt weil Apple anscheinend keinen Bock hat, Java 5 für Panther rauszubringen.
    Greets
     
  4. autoexec.bat

    autoexec.bat MacUser Mitglied

    MacUser seit:
    21.01.2005
    Beiträge:
    2.113
    Zustimmungen:
    20
    Nett, aber warum so kompliziert?

    Soviel ich weiß muss man doch nur die beiden Links

    /System/Library/Frameworks/JavaVM.framework/Versions/Current

    und
    /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK

    von 1.4.2 auf 1.5.0 umsetzen.

    Oder irre ich?
     
  5. cordney*

    cordney* Thread Starter MacUser Mitglied

    MacUser seit:
    22.04.2003
    Beiträge:
    755
    Zustimmungen:
    24
    @pks85: Sicherheit in der Informationstechnik in Bochum

    @jalapeno: Hab ich auch drüber gelesen, als ich recherchiert habe, allerdings bin ich immer für saubere Lösungen. Nachher muss ich das wieder rückgängig machen, weil das und das Programm nicht läuft oder so, man weiss ja nie. Da erschien mir die Sache mit den Templates, auch wenn's mehr Aufwand ist, besser.

    Aber ja, so ist's auch möglich.

    Grüße, cordney*
     
  6. bjbo

    bjbo MacUser Mitglied

    MacUser seit:
    20.11.2003
    Beiträge:
    1.309
    Zustimmungen:
    82
    ITS in Bochum?

    Willkommen! Ich studiere Angewandte Informatik, ebenfalls in Bochum :D. In welchem Semester bist Du?

    Gruß aus Bochum
    Björn
     
  7. cordney*

    cordney* Thread Starter MacUser Mitglied

    MacUser seit:
    22.04.2003
    Beiträge:
    755
    Zustimmungen:
    24
    Cool, der erste Macuser, da bin ich wenigstens nicht der einzige mit nem Apfel! Ich leg jetzt los, also 1. Semester, Du?
     
  8. scharlor

    scharlor MacUser Mitglied

    MacUser seit:
    28.11.2004
    Beiträge:
    18
    Zustimmungen:
    0
    sehe ich das richtig, dass man dann auf 10.3 mit java 5 arbeiten kann?

    könntest du dann den satt noch ein bischen erklären:

    "...but that requires a little configuration of the installer package with Pacifist."

    weil mein panther das tiger paket nicht mag ;)

    vielen dank!!!
     
  9. cordney*

    cordney* Thread Starter MacUser Mitglied

    MacUser seit:
    22.04.2003
    Beiträge:
    755
    Zustimmungen:
    24
    Naja, bin beim Zusammensuchen der Infos nur so drüber gestolpert, aber hab das jetzt nochmal investigativ untersucht:

    Jemand hat es mit dem Tool Pacifist geschafft, das Installer-Package zum Installieren unter Panther zu bringen, andere berichten in der anschliessenden Diskussion bei macosxhints.com [Link] jedoch von Problemen bei Installation sowie Gebrauch. Läuft also auf eigene Gefahr. Hier das ganze ohne Pacifist:

    1. Java15Release1.dmg mounten
    2. Mit Rechtsklick auf das .pkg und Paketinhalt anzeigen lassen.
    3. Die Datei "VolumeCheck" finden (in Contents/Resources) und im Texteditor öffnen
    4. In Zeile 16 und 17 steht dann:
    PHP:
        # If system version is less than than 10.4 show error
        
    if (CheckVersion("$SYSTEM_VERS""10.4""ProductVersion""<" )) 
    Das "10.4" ändern wir "10.3".

    Dann Datei speichern, Doppelklick auf's .pkg und die Installation sollte laufen.
     
  10. Yankee

    Yankee MacUser Mitglied

    MacUser seit:
    27.02.2004
    Beiträge:
    155
    Zustimmungen:
    0
    Obige Prozedur resultiert in der Meldung, dass ein Fehler bei der Installation aufgetreten sei.
     
Die Seite wird geladen...

Diese Seite empfehlen